dbXML API

## com.dbxml.db.server
Interface Task

public interface Task

Task is an interface used to implement light-weight tasks for the dbXML interval-based scheduler. Tasks are run synchronously within the scheduler, so runTask should exit as soon as possible in order to return control to the scheduler. Heavy-weight tasks should be implemented as Runnable and be spawned as a new Thread from the light-weight task.

See Also:
  `Server.addTask(com.dbxml.db.server.Task, long)`, `Server.removeTask(com.dbxml.db.server.Task)`

Method Summary
`void` `runTask()` runTask is the entry point for a dbXML interval-based Task.

Method Detail

### runTask

    public void runTask()

  runTask is the entry point for a dbXML interval-based Task. This method should return quickly, either by processing only parts of a larger task or by spawning a worker thread.

dbXML API

Copyright (c) 2004 The dbXML Group